* LIFI - See Do file on LIFI. This is used to get link between firms.
* Create a file that has the following columns: siren, year, HQ iso, filiales iso


ssc install fs, replace

* Step 1 - Clean country codes
forvalues x = 1999(1)2018 {
	import delimited "${codes_country}/`x'/pays`x'.txt", clear 
	keep cog libcog
	replace cog = substr(cog,3,3)
	gen year = `x'
	
	* Save
	compress
	save "$final_data\codes_pays_`x'.dta", replace
}

forvalues x = 2019(1)2021 {
	import delimited "${codes_country}/`x'/pays`x'.csv", clear 
	keep cog libcog
	replace cog = substr(cog,3,3)
	gen year = `x'
	
	* Save
	compress
	save "$final_data\codes_pays_`x'.dta", replace
}

import dbase using "${codes_country}\2021\pays2021.dbf", case(lower) clear
keep cog libcog
replace cog = substr(cog,3,3)
gen year = 2021

* Save
compress
save "$final_data\codes_pays_2021.dta", replace

* Append them all
clear all
cd "$final_data"
fs codes*.dta
append using `r(files)'
 
* We want only one occurence per cog
replace libcog = "" if cog == "101" & libcog != "DANEMARK"
replace libcog = "" if cog == "103" & libcog != "NORVEGE"
replace libcog = "" if cog == "135" & libcog != "PAYS-BAS"
replace libcog = "" if cog == "132" & libcog != "ROYAUME-UNI"
replace libcog = "" if cog == "223" & libcog != "INDE"
replace libcog = "" if cog == "231" & libcog != "INDONESIE"
replace libcog = "" if cog == "308" & libcog != "ZANZIBAR"
replace libcog = "" if cog == "313" & libcog != "CANARIES (ILES)"
replace libcog = "" if cog == "404" & libcog != "ETATS-UNIS"
replace libcog = "" if cog == "425" & libcog != "TERRITOIRES DU ROYAUME-UNI AUX ANTILLES"
replace libcog = "" if cog == "427" & libcog != "TERR. DU ROYAUME-UNI DANS L'ATLANTIQUE SUD"
replace libcog = "" if cog == "431" & libcog != "TERRITOIRE DES PAYS-BAS"
replace libcog = "" if cog == "432" & libcog != "TERR. DES ETATS-UNIS D'AMERIQUE EN AMERIQUE"
replace libcog = "" if cog == "501" & libcog != "AUSTRALIE"
replace libcog = "" if cog == "502" & libcog != "NOUVELLE-ZELANDE"
replace libcog = "" if cog == "505" & libcog != "TERR. DES ETATS-UNIS D'AMERIQUE EN OCEANIE"
replace libcog = "" if cog == "XXX" & libcog != "FRANCE"
drop if libcog == ""
duplicates drop

save "$final_data\final_codes_pays.dta", replace


				* Case 1, French iso has a tete de group
use "${data_lifi}\lifi_19952019.dta", clear
keep siren sirtg year pays paystg

* Merge paystg with our country file
tostring paystg, replace
rename paystg cog
merge m:1 cog year using "$final_data\final_codes_pays.dta"
rename cog paystg
drop if _merge==2
drop _merge

* A second possibility is to use the first two digit of the bvd number assigned to sirtg
replace sirtg = "" if sirtg =="."
replace paystg = "" if paystg =="."
gen temp = substr(sirtg, 1, 2)
destring temp, force replace
gen iso_siren_bvd = substr(sirtg, 1, 2)
replace iso_siren_bvd = "" if temp != .
drop temp

* Clean using this BVD iso
replace paystg = "130" if paystg == "" & iso_siren_bvd == "AD"
replace paystg = "247" if paystg == "" & iso_siren_bvd == "AE"
replace paystg = "252" if paystg == "" & iso_siren_bvd == "AM"
replace paystg = "415" if paystg == "" & iso_siren_bvd == "AR"
replace paystg = "110" if paystg == "" & iso_siren_bvd == "AT"
replace paystg = "501" if paystg == "" & iso_siren_bvd == "AU"
replace paystg = "431" if paystg == "" & iso_siren_bvd == "AW"
replace paystg = "118" if paystg == "" & iso_siren_bvd == "BA"
replace paystg = "434" if paystg == "" & iso_siren_bvd == "BB"
replace paystg = "131" if paystg == "" & iso_siren_bvd == "BE"
replace paystg = "331" if paystg == "" & iso_siren_bvd == "BF"
replace paystg = "111" if paystg == "" & iso_siren_bvd == "BG"
replace paystg = "249" if paystg == "" & iso_siren_bvd == "BH"
replace paystg = "327" if paystg == "" & iso_siren_bvd == "BJ"
replace paystg = "425" if paystg == "" & iso_siren_bvd == "BM"
replace paystg = "225" if paystg == "" & iso_siren_bvd == "BN"
replace paystg = "418" if paystg == "" & iso_siren_bvd == "BO"
replace paystg = "416" if paystg == "" & iso_siren_bvd == "BR"
replace paystg = "436" if paystg == "" & iso_siren_bvd == "BS"
replace paystg = "148" if paystg == "" & iso_siren_bvd == "BY"
replace paystg = "429" if paystg == "" & iso_siren_bvd == "BZ"
replace paystg = "401" if paystg == "" & iso_siren_bvd == "CA"
replace paystg = "312" if paystg == "" & iso_siren_bvd == "CD"
replace paystg = "323" if paystg == "" & iso_siren_bvd == "CF"
replace paystg = "324" if paystg == "" & iso_siren_bvd == "CG"
replace paystg = "140" if paystg == "" & iso_siren_bvd == "CH"
replace paystg = "326" if paystg == "" & iso_siren_bvd == "CI"
replace paystg = "417" if paystg == "" & iso_siren_bvd == "CL"
replace paystg = "322" if paystg == "" & iso_siren_bvd == "CM"
replace paystg = "216" if paystg == "" & iso_siren_bvd == "CN"
replace paystg = "419" if paystg == "" & iso_siren_bvd == "CO"
replace paystg = "406" if paystg == "" & iso_siren_bvd == "CR"
replace paystg = "407" if paystg == "" & iso_siren_bvd == "CU"
replace paystg = "431" if paystg == "" & iso_siren_bvd == "CW"
replace paystg = "254" if paystg == "" & iso_siren_bvd == "CY"
replace paystg = "116" if paystg == "" & iso_siren_bvd == "CZ"
replace paystg = "109" if paystg == "" & iso_siren_bvd == "DE"
replace paystg = "399" if paystg == "" & iso_siren_bvd == "DJ"
replace paystg = "101" if paystg == "" & iso_siren_bvd == "DK"
replace paystg = "438" if paystg == "" & iso_siren_bvd == "DM"
replace paystg = "408" if paystg == "" & iso_siren_bvd == "DO"
replace paystg = "352" if paystg == "" & iso_siren_bvd == "DZ"
replace paystg = "420" if paystg == "" & iso_siren_bvd == "EC"
replace paystg = "106" if paystg == "" & iso_siren_bvd == "EE"
replace paystg = "301" if paystg == "" & iso_siren_bvd == "EG"
replace paystg = "134" if paystg == "" & iso_siren_bvd == "ES"
replace paystg = "315" if paystg == "" & iso_siren_bvd == "ET"
replace paystg = "105" if paystg == "" & iso_siren_bvd == "FI"
replace paystg = "XXX" if paystg == "" & iso_siren_bvd == "FR"
replace paystg = "" if paystg == "" & iso_siren_bvd == "G1"
replace paystg = "328" if paystg == "" & iso_siren_bvd == "GA"
replace paystg = "132" if paystg == "" & iso_siren_bvd == "GB"
replace paystg = "255" if paystg == "" & iso_siren_bvd == "GE"
replace paystg = "329" if paystg == "" & iso_siren_bvd == "GH"
replace paystg = "133" if paystg == "" & iso_siren_bvd == "GI"
replace paystg = "304" if paystg == "" & iso_siren_bvd == "GM"
replace paystg = "126" if paystg == "" & iso_siren_bvd == "GR"
replace paystg = "427" if paystg == "" & (iso_siren_bvd == "GS" | iso_siren_bvd == "FK")
replace paystg = "409" if paystg == "" & iso_siren_bvd == "GT"
replace paystg = "230" if paystg == "" & iso_siren_bvd == "HK"
replace paystg = "119" if paystg == "" & iso_siren_bvd == "HR"
replace paystg = "410" if paystg == "" & iso_siren_bvd == "HT"
replace paystg = "112" if paystg == "" & iso_siren_bvd == "HU"
replace paystg = "231" if paystg == "" & iso_siren_bvd == "ID"
replace paystg = "136" if paystg == "" & iso_siren_bvd == "IE"
replace paystg = "207" if paystg == "" & iso_siren_bvd == "IL"
replace paystg = "223" if paystg == "" & iso_siren_bvd == "IN"
replace paystg = "102" if paystg == "" & iso_siren_bvd == "IS"
replace paystg = "127" if paystg == "" & iso_siren_bvd == "IT"
replace paystg = "217" if paystg == "" & iso_siren_bvd == "JP"
replace paystg = "234" if paystg == "" & iso_siren_bvd == "KH"
replace paystg = "442" if paystg == "" & iso_siren_bvd == "KN"
replace paystg = "238" if paystg == "" & iso_siren_bvd == "KP"
replace paystg = "237" if paystg == "" & iso_siren_bvd == "KR"
replace paystg = "239" if paystg == "" & iso_siren_bvd == "KR"
replace paystg = "240" if paystg == "" & iso_siren_bvd == "KW"
replace paystg = "425" if paystg == "" & iso_siren_bvd == "KY"
replace paystg = "256" if paystg == "" & iso_siren_bvd == "KZ"
replace paystg = "241" if paystg == "" & iso_siren_bvd == "LA"
replace paystg = "205" if paystg == "" & iso_siren_bvd == "LB"
replace paystg = "113" if paystg == "" & iso_siren_bvd == "LI"
replace paystg = "302" if paystg == "" & iso_siren_bvd == "LR"
replace paystg = "108" if paystg == "" & iso_siren_bvd == "LT"
replace paystg = "137" if paystg == "" & iso_siren_bvd == "LU"
replace paystg = "107" if paystg == "" & iso_siren_bvd == "LV"
replace paystg = "316" if paystg == "" & iso_siren_bvd == "LY"
replace paystg = "350" if paystg == "" & iso_siren_bvd == "MA"
replace paystg = "138" if paystg == "" & iso_siren_bvd == "MC"
replace paystg = "333" if paystg == "" & iso_siren_bvd == "MG"
replace paystg = "515" if paystg == "" & iso_siren_bvd == "MH"
replace paystg = "156" if paystg == "" & iso_siren_bvd == "MK"
replace paystg = "335" if paystg == "" & iso_siren_bvd == "ML"
replace paystg = "232" if paystg == "" & iso_siren_bvd == "MO"
replace paystg = "336" if paystg == "" & iso_siren_bvd == "MR"
replace paystg = "144" if paystg == "" & iso_siren_bvd == "MT"
replace paystg = "390" if paystg == "" & iso_siren_bvd == "MU"
replace paystg = "229" if paystg == "" & iso_siren_bvd == "MV"
replace paystg = "334" if paystg == "" & iso_siren_bvd == "MW"
replace paystg = "405" if paystg == "" & iso_siren_bvd == "MX"
replace paystg = "227" if paystg == "" & iso_siren_bvd == "MY"
replace paystg = "311" if paystg == "" & iso_siren_bvd == "NA"
replace paystg = "338" if paystg == "" & iso_siren_bvd == "NG"
replace paystg = "135" if paystg == "" & iso_siren_bvd == "NL"
replace paystg = "103" if paystg == "" & iso_siren_bvd == "NO"
replace paystg = "502" if paystg == "" & iso_siren_bvd == "NZ"
replace paystg = "250" if paystg == "" & iso_siren_bvd == "OM"
replace paystg = "413" if paystg == "" & iso_siren_bvd == "PA"
replace paystg = "422" if paystg == "" & iso_siren_bvd == "PE"
replace paystg = "220" if paystg == "" & iso_siren_bvd == "PH"
replace paystg = "213" if paystg == "" & iso_siren_bvd == "PK"
replace paystg = "122" if paystg == "" & iso_siren_bvd == "PL"
replace paystg = "432" if paystg == "" & iso_siren_bvd == "PR"
replace paystg = "139" if paystg == "" & iso_siren_bvd == "PT"
replace paystg = "421" if paystg == "" & iso_siren_bvd == "PY"
replace paystg = "248" if paystg == "" & iso_siren_bvd == "QA"
replace paystg = "114" if paystg == "" & iso_siren_bvd == "RO"
replace paystg = "121" if paystg == "" & iso_siren_bvd == "RS"
replace paystg = "123" if paystg == "" & iso_siren_bvd == "RU"
replace paystg = "201" if paystg == "" & iso_siren_bvd == "SA"
replace paystg = "398" if paystg == "" & iso_siren_bvd == "SC"
replace paystg = "104" if paystg == "" & iso_siren_bvd == "SE"
replace paystg = "226" if paystg == "" & iso_siren_bvd == "SG"
replace paystg = "145" if paystg == "" & iso_siren_bvd == "SI"
replace paystg = "117" if paystg == "" & iso_siren_bvd == "SK"
replace paystg = "128" if paystg == "" & iso_siren_bvd == "SM"
replace paystg = "341" if paystg == "" & iso_siren_bvd == "SN"
replace paystg = "318" if paystg == "" & iso_siren_bvd == "SO"
replace paystg = "431" if paystg == "" & iso_siren_bvd == "SX"
replace paystg = "206" if paystg == "" & iso_siren_bvd == "SY"
replace paystg = "345" if paystg == "" & iso_siren_bvd == "TG"
replace paystg = "219" if paystg == "" & iso_siren_bvd == "TH"
replace paystg = "351" if paystg == "" & iso_siren_bvd == "TN"
replace paystg = "208" if paystg == "" & iso_siren_bvd == "TR"
replace paystg = "433" if paystg == "" & iso_siren_bvd == "TT"
replace paystg = "236" if paystg == "" & iso_siren_bvd == "TW"
replace paystg = "155" if paystg == "" & iso_siren_bvd == "UK"
replace paystg = "404" if paystg == "" & iso_siren_bvd == "US"
replace paystg = "423" if paystg == "" & iso_siren_bvd == "UY"
replace paystg = "424" if paystg == "" & iso_siren_bvd == "VE"
replace paystg = "425" if paystg == "" & iso_siren_bvd == "VG"
replace paystg = "243" if paystg == "" & iso_siren_bvd == "VN"
replace paystg = "506" if paystg == "" & iso_siren_bvd == "WS"
replace paystg = "" if paystg == "" & iso_siren_bvd == "YY"
replace paystg = "303" if paystg == "" & iso_siren_bvd == "ZA"
replace paystg = "" if paystg == "" & iso_siren_bvd == "ZZ"


replace iso_siren_bvd = "AD" if iso_siren_bvd == "" & paystg == "130"
replace iso_siren_bvd = "AE" if iso_siren_bvd == "" & paystg == "247"
replace iso_siren_bvd = "AM" if iso_siren_bvd == "" & paystg == "252"
replace iso_siren_bvd = "AR" if iso_siren_bvd == "" & paystg == "415"
replace iso_siren_bvd = "AT" if iso_siren_bvd == "" & paystg == "110"
replace iso_siren_bvd = "AU" if iso_siren_bvd == "" & paystg == "501"
replace iso_siren_bvd = "AW" if iso_siren_bvd == "" & paystg == "431"
replace iso_siren_bvd = "BA" if iso_siren_bvd == "" & paystg == "118"
replace iso_siren_bvd = "BB" if iso_siren_bvd == "" & paystg == "434"
replace iso_siren_bvd = "BE" if iso_siren_bvd == "" & paystg == "131"
replace iso_siren_bvd = "BF" if iso_siren_bvd == "" & paystg == "331"
replace iso_siren_bvd = "BG" if iso_siren_bvd == "" & paystg == "111"
replace iso_siren_bvd = "BH" if iso_siren_bvd == "" & paystg == "249"
replace iso_siren_bvd = "BJ" if iso_siren_bvd == "" & paystg == "327"
replace iso_siren_bvd = "BM" if iso_siren_bvd == "" & paystg == "425"
replace iso_siren_bvd = "BN" if iso_siren_bvd == "" & paystg == "225"
replace iso_siren_bvd = "BO" if iso_siren_bvd == "" & paystg == "418"
replace iso_siren_bvd = "BR" if iso_siren_bvd == "" & paystg == "416"
replace iso_siren_bvd = "BS" if iso_siren_bvd == "" & paystg == "436"
replace iso_siren_bvd = "BY" if iso_siren_bvd == "" & paystg == "148"
replace iso_siren_bvd = "BZ" if iso_siren_bvd == "" & paystg == "429"
replace iso_siren_bvd = "CA" if iso_siren_bvd == "" & paystg == "401"
replace iso_siren_bvd = "CD" if iso_siren_bvd == "" & paystg == "312"
replace iso_siren_bvd = "CF" if iso_siren_bvd == "" & paystg == "323"
replace iso_siren_bvd = "CG" if iso_siren_bvd == "" & paystg == "324"
replace iso_siren_bvd = "CH" if iso_siren_bvd == "" & paystg == "140"
replace iso_siren_bvd = "CI" if iso_siren_bvd == "" & paystg == "326"
replace iso_siren_bvd = "CL" if iso_siren_bvd == "" & paystg == "417"
replace iso_siren_bvd = "CM" if iso_siren_bvd == "" & paystg == "322"
replace iso_siren_bvd = "CN" if iso_siren_bvd == "" & paystg == "216"
replace iso_siren_bvd = "CO" if iso_siren_bvd == "" & paystg == "419"
replace iso_siren_bvd = "CR" if iso_siren_bvd == "" & paystg == "406"
replace iso_siren_bvd = "CU" if iso_siren_bvd == "" & paystg == "407"
replace iso_siren_bvd = "CW" if iso_siren_bvd == "" & paystg == "431"
replace iso_siren_bvd = "CY" if iso_siren_bvd == "" & paystg == "254"
replace iso_siren_bvd = "CZ" if iso_siren_bvd == "" & paystg == "116"
replace iso_siren_bvd = "DE" if iso_siren_bvd == "" & paystg == "109"
replace iso_siren_bvd = "DJ" if iso_siren_bvd == "" & paystg == "399"
replace iso_siren_bvd = "DK" if iso_siren_bvd == "" & paystg == "101"
replace iso_siren_bvd = "DM" if iso_siren_bvd == "" & paystg == "438"
replace iso_siren_bvd = "DO" if iso_siren_bvd == "" & paystg == "408"
replace iso_siren_bvd = "DZ" if iso_siren_bvd == "" & paystg == "352"
replace iso_siren_bvd = "EC" if iso_siren_bvd == "" & paystg == "420"
replace iso_siren_bvd = "EE" if iso_siren_bvd == "" & paystg == "106"
replace iso_siren_bvd = "EG" if iso_siren_bvd == "" & paystg == "301"
replace iso_siren_bvd = "ES" if iso_siren_bvd == "" & paystg == "134"
replace iso_siren_bvd = "ET" if iso_siren_bvd == "" & paystg == "315"
replace iso_siren_bvd = "FI" if iso_siren_bvd == "" & paystg == "105"
replace iso_siren_bvd = "FR" if iso_siren_bvd == "" & paystg == "XXX"
replace iso_siren_bvd = "GA" if iso_siren_bvd == "" & paystg == "328"
replace iso_siren_bvd = "GB" if iso_siren_bvd == "" & paystg == "132"
replace iso_siren_bvd = "GE" if iso_siren_bvd == "" & paystg == "255"
replace iso_siren_bvd = "GH" if iso_siren_bvd == "" & paystg == "329"
replace iso_siren_bvd = "GI" if iso_siren_bvd == "" & paystg == "133"
replace iso_siren_bvd = "GM" if iso_siren_bvd == "" & paystg == "304"
replace iso_siren_bvd = "GR" if iso_siren_bvd == "" & paystg == "126"
replace iso_siren_bvd = "GS" if iso_siren_bvd == "" & paystg == "427"
replace iso_siren_bvd = "GT" if iso_siren_bvd == "" & paystg == "409"
replace iso_siren_bvd = "HK" if iso_siren_bvd == "" & paystg == "230"
replace iso_siren_bvd = "HR" if iso_siren_bvd == "" & paystg == "119"
replace iso_siren_bvd = "HT" if iso_siren_bvd == "" & paystg == "410"
replace iso_siren_bvd = "HU" if iso_siren_bvd == "" & paystg == "112"
replace iso_siren_bvd = "ID" if iso_siren_bvd == "" & paystg == "231"
replace iso_siren_bvd = "IE" if iso_siren_bvd == "" & paystg == "136"
replace iso_siren_bvd = "IL" if iso_siren_bvd == "" & paystg == "207"
replace iso_siren_bvd = "IN" if iso_siren_bvd == "" & paystg == "223"
replace iso_siren_bvd = "IS" if iso_siren_bvd == "" & paystg == "102"
replace iso_siren_bvd = "IT" if iso_siren_bvd == "" & paystg == "127"
replace iso_siren_bvd = "JP" if iso_siren_bvd == "" & paystg == "217"
replace iso_siren_bvd = "KH" if iso_siren_bvd == "" & paystg == "234"
replace iso_siren_bvd = "KN" if iso_siren_bvd == "" & paystg == "442"
replace iso_siren_bvd = "KP" if iso_siren_bvd == "" & paystg == "238"
replace iso_siren_bvd = "KR" if iso_siren_bvd == "" & paystg == "237"
replace iso_siren_bvd = "KR" if iso_siren_bvd == "" & paystg == "239"
replace iso_siren_bvd = "KW" if iso_siren_bvd == "" & paystg == "240"
replace iso_siren_bvd = "KY" if iso_siren_bvd == "" & paystg == "425"
replace iso_siren_bvd = "KZ" if iso_siren_bvd == "" & paystg == "256"
replace iso_siren_bvd = "LA" if iso_siren_bvd == "" & paystg == "241"
replace iso_siren_bvd = "LB" if iso_siren_bvd == "" & paystg == "205"
replace iso_siren_bvd = "LI" if iso_siren_bvd == "" & paystg == "113"
replace iso_siren_bvd = "LR" if iso_siren_bvd == "" & paystg == "302"
replace iso_siren_bvd = "LT" if iso_siren_bvd == "" & paystg == "108"
replace iso_siren_bvd = "LU" if iso_siren_bvd == "" & paystg == "137"
replace iso_siren_bvd = "LV" if iso_siren_bvd == "" & paystg == "107"
replace iso_siren_bvd = "LY" if iso_siren_bvd == "" & paystg == "316"
replace iso_siren_bvd = "MA" if iso_siren_bvd == "" & paystg == "350"
replace iso_siren_bvd = "MC" if iso_siren_bvd == "" & paystg == "138"
replace iso_siren_bvd = "MG" if iso_siren_bvd == "" & paystg == "333"
replace iso_siren_bvd = "MH" if iso_siren_bvd == "" & paystg == "515"
replace iso_siren_bvd = "MK" if iso_siren_bvd == "" & paystg == "156"
replace iso_siren_bvd = "ML" if iso_siren_bvd == "" & paystg == "335"
replace iso_siren_bvd = "MO" if iso_siren_bvd == "" & paystg == "232"
replace iso_siren_bvd = "MR" if iso_siren_bvd == "" & paystg == "336"
replace iso_siren_bvd = "MT" if iso_siren_bvd == "" & paystg == "144"
replace iso_siren_bvd = "MU" if iso_siren_bvd == "" & paystg == "390"
replace iso_siren_bvd = "MV" if iso_siren_bvd == "" & paystg == "229"
replace iso_siren_bvd = "MW" if iso_siren_bvd == "" & paystg == "334"
replace iso_siren_bvd = "MX" if iso_siren_bvd == "" & paystg == "405"
replace iso_siren_bvd = "MY" if iso_siren_bvd == "" & paystg == "227"
replace iso_siren_bvd = "NA" if iso_siren_bvd == "" & paystg == "311"
replace iso_siren_bvd = "NG" if iso_siren_bvd == "" & paystg == "338"
replace iso_siren_bvd = "NL" if iso_siren_bvd == "" & paystg == "135"
replace iso_siren_bvd = "NO" if iso_siren_bvd == "" & paystg == "103"
replace iso_siren_bvd = "NZ" if iso_siren_bvd == "" & paystg == "502"
replace iso_siren_bvd = "OM" if iso_siren_bvd == "" & paystg == "250"
replace iso_siren_bvd = "PA" if iso_siren_bvd == "" & paystg == "413"
replace iso_siren_bvd = "PE" if iso_siren_bvd == "" & paystg == "422"
replace iso_siren_bvd = "PH" if iso_siren_bvd == "" & paystg == "220"
replace iso_siren_bvd = "PK" if iso_siren_bvd == "" & paystg == "213"
replace iso_siren_bvd = "PL" if iso_siren_bvd == "" & paystg == "122"
replace iso_siren_bvd = "PR" if iso_siren_bvd == "" & paystg == "432"
replace iso_siren_bvd = "PT" if iso_siren_bvd == "" & paystg == "139"
replace iso_siren_bvd = "PY" if iso_siren_bvd == "" & paystg == "421"
replace iso_siren_bvd = "QA" if iso_siren_bvd == "" & paystg == "248"
replace iso_siren_bvd = "RO" if iso_siren_bvd == "" & paystg == "114"
replace iso_siren_bvd = "RS" if iso_siren_bvd == "" & paystg == "121"
replace iso_siren_bvd = "RU" if iso_siren_bvd == "" & paystg == "123"
replace iso_siren_bvd = "SA" if iso_siren_bvd == "" & paystg == "201"
replace iso_siren_bvd = "SC" if iso_siren_bvd == "" & paystg == "398"
replace iso_siren_bvd = "SE" if iso_siren_bvd == "" & paystg == "104"
replace iso_siren_bvd = "SG" if iso_siren_bvd == "" & paystg == "226"
replace iso_siren_bvd = "SI" if iso_siren_bvd == "" & paystg == "145"
replace iso_siren_bvd = "SK" if iso_siren_bvd == "" & paystg == "117"
replace iso_siren_bvd = "SM" if iso_siren_bvd == "" & paystg == "128"
replace iso_siren_bvd = "SN" if iso_siren_bvd == "" & paystg == "341"
replace iso_siren_bvd = "SO" if iso_siren_bvd == "" & paystg == "318"
replace iso_siren_bvd = "SX" if iso_siren_bvd == "" & paystg == "431"
replace iso_siren_bvd = "SY" if iso_siren_bvd == "" & paystg == "206"
replace iso_siren_bvd = "TG" if iso_siren_bvd == "" & paystg == "345"
replace iso_siren_bvd = "TH" if iso_siren_bvd == "" & paystg == "219"
replace iso_siren_bvd = "TN" if iso_siren_bvd == "" & paystg == "351"
replace iso_siren_bvd = "TR" if iso_siren_bvd == "" & paystg == "208"
replace iso_siren_bvd = "TT" if iso_siren_bvd == "" & paystg == "433"
replace iso_siren_bvd = "TW" if iso_siren_bvd == "" & paystg == "236"
replace iso_siren_bvd = "UK" if iso_siren_bvd == "" & paystg == "155"
replace iso_siren_bvd = "US" if iso_siren_bvd == "" & paystg == "404"
replace iso_siren_bvd = "UY" if iso_siren_bvd == "" & paystg == "423"
replace iso_siren_bvd = "VE" if iso_siren_bvd == "" & paystg == "424"
replace iso_siren_bvd = "VG" if iso_siren_bvd == "" & paystg == "425"
replace iso_siren_bvd = "VN" if iso_siren_bvd == "" & paystg == "243"
replace iso_siren_bvd = "WS" if iso_siren_bvd == "" & paystg == "506"
replace iso_siren_bvd = "ZA" if iso_siren_bvd == "" & paystg == "303"


* Harmonize iso2 ( if previous step was not enough)
gsort paystg iso_siren_bvd
bysort paystg: replace iso_siren_bvd = iso_siren_bvd[_N] if iso_siren_bvd == "" & iso_siren_bvd[_N] != "" & paystg !=""

rename iso_siren_bvd iso_HQ
rename paystg insee_code_HQ

keep siren year insee_code_HQ iso_HQ
duplicates drop
compress

gsort siren year iso_HQ
order siren year, first

drop if iso_HQ == "" & insee_code_HQ == ""

save "${final_data}\final_HQ.dta", replace


				* Case 2, French iso IS a tete de groupe
use "${data_lifi}\lifi_19952019.dta", clear
keep siren sirtg year pays paystg

* Drop if nothing
drop if sirtg == ""

* Merge pays with our country file
tostring pays, replace
rename pays cog
merge m:1 cog year using "$final_data\final_codes_pays.dta"
rename cog pays
drop if _merge==2
drop _merge

* A second possibility is to use the first two digit of the bvd number assigned to sirtg
replace siren = "" if siren =="."
replace pays = "" if pays =="."
gen temp = substr(siren, 1, 2)
destring temp, force replace
gen iso_siren_bvd = substr(siren, 1, 2)
replace iso_siren_bvd = "" if temp != .
drop temp
cap drop count

* Clean using this BVD iso
replace pays = "130" if pays == "" & iso_siren_bvd == "AD"
replace pays = "247" if pays == "" & iso_siren_bvd == "AE"
replace pays = "252" if pays == "" & iso_siren_bvd == "AM"
replace pays = "415" if pays == "" & iso_siren_bvd == "AR"
replace pays = "110" if pays == "" & iso_siren_bvd == "AT"
replace pays = "501" if pays == "" & iso_siren_bvd == "AU"
replace pays = "431" if pays == "" & iso_siren_bvd == "AW"
replace pays = "118" if pays == "" & iso_siren_bvd == "BA"
replace pays = "434" if pays == "" & iso_siren_bvd == "BB"
replace pays = "131" if pays == "" & iso_siren_bvd == "BE"
replace pays = "331" if pays == "" & iso_siren_bvd == "BF"
replace pays = "111" if pays == "" & iso_siren_bvd == "BG"
replace pays = "249" if pays == "" & iso_siren_bvd == "BH"
replace pays = "327" if pays == "" & iso_siren_bvd == "BJ"
replace pays = "425" if pays == "" & iso_siren_bvd == "BM"
replace pays = "225" if pays == "" & iso_siren_bvd == "BN"
replace pays = "418" if pays == "" & iso_siren_bvd == "BO"
replace pays = "416" if pays == "" & iso_siren_bvd == "BR"
replace pays = "436" if pays == "" & iso_siren_bvd == "BS"
replace pays = "148" if pays == "" & iso_siren_bvd == "BY"
replace pays = "429" if pays == "" & iso_siren_bvd == "BZ"
replace pays = "401" if pays == "" & iso_siren_bvd == "CA"
replace pays = "312" if pays == "" & iso_siren_bvd == "CD"
replace pays = "323" if pays == "" & iso_siren_bvd == "CF"
replace pays = "324" if pays == "" & iso_siren_bvd == "CG"
replace pays = "140" if pays == "" & iso_siren_bvd == "CH"
replace pays = "326" if pays == "" & iso_siren_bvd == "CI"
replace pays = "417" if pays == "" & iso_siren_bvd == "CL"
replace pays = "322" if pays == "" & iso_siren_bvd == "CM"
replace pays = "216" if pays == "" & iso_siren_bvd == "CN"
replace pays = "419" if pays == "" & iso_siren_bvd == "CO"
replace pays = "406" if pays == "" & iso_siren_bvd == "CR"
replace pays = "407" if pays == "" & iso_siren_bvd == "CU"
replace pays = "431" if pays == "" & iso_siren_bvd == "CW"
replace pays = "254" if pays == "" & iso_siren_bvd == "CY"
replace pays = "116" if pays == "" & iso_siren_bvd == "CZ"
replace pays = "109" if pays == "" & iso_siren_bvd == "DE"
replace pays = "399" if pays == "" & iso_siren_bvd == "DJ"
replace pays = "101" if pays == "" & iso_siren_bvd == "DK"
replace pays = "438" if pays == "" & iso_siren_bvd == "DM"
replace pays = "408" if pays == "" & iso_siren_bvd == "DO"
replace pays = "352" if pays == "" & iso_siren_bvd == "DZ"
replace pays = "420" if pays == "" & iso_siren_bvd == "EC"
replace pays = "106" if pays == "" & iso_siren_bvd == "EE"
replace pays = "301" if pays == "" & iso_siren_bvd == "EG"
replace pays = "134" if pays == "" & iso_siren_bvd == "ES"
replace pays = "315" if pays == "" & iso_siren_bvd == "ET"
replace pays = "105" if pays == "" & iso_siren_bvd == "FI"
replace pays = "XXX" if pays == "" & iso_siren_bvd == "FR"
replace pays = "" if pays == "" & iso_siren_bvd == "G1"
replace pays = "328" if pays == "" & iso_siren_bvd == "GA"
replace pays = "132" if pays == "" & iso_siren_bvd == "GB"
replace pays = "255" if pays == "" & iso_siren_bvd == "GE"
replace pays = "329" if pays == "" & iso_siren_bvd == "GH"
replace pays = "133" if pays == "" & iso_siren_bvd == "GI"
replace pays = "304" if pays == "" & iso_siren_bvd == "GM"
replace pays = "126" if pays == "" & iso_siren_bvd == "GR"
replace pays = "427" if pays == "" & (iso_siren_bvd == "GS" | iso_siren_bvd == "FK")
replace pays = "409" if pays == "" & iso_siren_bvd == "GT"
replace pays = "230" if pays == "" & iso_siren_bvd == "HK"
replace pays = "119" if pays == "" & iso_siren_bvd == "HR"
replace pays = "410" if pays == "" & iso_siren_bvd == "HT"
replace pays = "112" if pays == "" & iso_siren_bvd == "HU"
replace pays = "231" if pays == "" & iso_siren_bvd == "ID"
replace pays = "136" if pays == "" & iso_siren_bvd == "IE"
replace pays = "207" if pays == "" & iso_siren_bvd == "IL"
replace pays = "223" if pays == "" & iso_siren_bvd == "IN"
replace pays = "102" if pays == "" & iso_siren_bvd == "IS"
replace pays = "127" if pays == "" & iso_siren_bvd == "IT"
replace pays = "217" if pays == "" & iso_siren_bvd == "JP"
replace pays = "234" if pays == "" & iso_siren_bvd == "KH"
replace pays = "442" if pays == "" & iso_siren_bvd == "KN"
replace pays = "238" if pays == "" & iso_siren_bvd == "KP"
replace pays = "237" if pays == "" & iso_siren_bvd == "KR"
replace pays = "239" if pays == "" & iso_siren_bvd == "KR"
replace pays = "240" if pays == "" & iso_siren_bvd == "KW"
replace pays = "425" if pays == "" & iso_siren_bvd == "KY"
replace pays = "256" if pays == "" & iso_siren_bvd == "KZ"
replace pays = "241" if pays == "" & iso_siren_bvd == "LA"
replace pays = "205" if pays == "" & iso_siren_bvd == "LB"
replace pays = "113" if pays == "" & iso_siren_bvd == "LI"
replace pays = "302" if pays == "" & iso_siren_bvd == "LR"
replace pays = "108" if pays == "" & iso_siren_bvd == "LT"
replace pays = "137" if pays == "" & iso_siren_bvd == "LU"
replace pays = "107" if pays == "" & iso_siren_bvd == "LV"
replace pays = "316" if pays == "" & iso_siren_bvd == "LY"
replace pays = "350" if pays == "" & iso_siren_bvd == "MA"
replace pays = "138" if pays == "" & iso_siren_bvd == "MC"
replace pays = "333" if pays == "" & iso_siren_bvd == "MG"
replace pays = "515" if pays == "" & iso_siren_bvd == "MH"
replace pays = "156" if pays == "" & iso_siren_bvd == "MK"
replace pays = "335" if pays == "" & iso_siren_bvd == "ML"
replace pays = "232" if pays == "" & iso_siren_bvd == "MO"
replace pays = "336" if pays == "" & iso_siren_bvd == "MR"
replace pays = "144" if pays == "" & iso_siren_bvd == "MT"
replace pays = "390" if pays == "" & iso_siren_bvd == "MU"
replace pays = "229" if pays == "" & iso_siren_bvd == "MV"
replace pays = "334" if pays == "" & iso_siren_bvd == "MW"
replace pays = "405" if pays == "" & iso_siren_bvd == "MX"
replace pays = "227" if pays == "" & iso_siren_bvd == "MY"
replace pays = "311" if pays == "" & iso_siren_bvd == "NA"
replace pays = "338" if pays == "" & iso_siren_bvd == "NG"
replace pays = "135" if pays == "" & iso_siren_bvd == "NL"
replace pays = "103" if pays == "" & iso_siren_bvd == "NO"
replace pays = "502" if pays == "" & iso_siren_bvd == "NZ"
replace pays = "250" if pays == "" & iso_siren_bvd == "OM"
replace pays = "413" if pays == "" & iso_siren_bvd == "PA"
replace pays = "422" if pays == "" & iso_siren_bvd == "PE"
replace pays = "220" if pays == "" & iso_siren_bvd == "PH"
replace pays = "213" if pays == "" & iso_siren_bvd == "PK"
replace pays = "122" if pays == "" & iso_siren_bvd == "PL"
replace pays = "432" if pays == "" & iso_siren_bvd == "PR"
replace pays = "139" if pays == "" & iso_siren_bvd == "PT"
replace pays = "421" if pays == "" & iso_siren_bvd == "PY"
replace pays = "248" if pays == "" & iso_siren_bvd == "QA"
replace pays = "114" if pays == "" & iso_siren_bvd == "RO"
replace pays = "121" if pays == "" & iso_siren_bvd == "RS"
replace pays = "123" if pays == "" & iso_siren_bvd == "RU"
replace pays = "201" if pays == "" & iso_siren_bvd == "SA"
replace pays = "398" if pays == "" & iso_siren_bvd == "SC"
replace pays = "104" if pays == "" & iso_siren_bvd == "SE"
replace pays = "226" if pays == "" & iso_siren_bvd == "SG"
replace pays = "145" if pays == "" & iso_siren_bvd == "SI"
replace pays = "117" if pays == "" & iso_siren_bvd == "SK"
replace pays = "128" if pays == "" & iso_siren_bvd == "SM"
replace pays = "341" if pays == "" & iso_siren_bvd == "SN"
replace pays = "318" if pays == "" & iso_siren_bvd == "SO"
replace pays = "431" if pays == "" & iso_siren_bvd == "SX"
replace pays = "206" if pays == "" & iso_siren_bvd == "SY"
replace pays = "345" if pays == "" & iso_siren_bvd == "TG"
replace pays = "219" if pays == "" & iso_siren_bvd == "TH"
replace pays = "351" if pays == "" & iso_siren_bvd == "TN"
replace pays = "208" if pays == "" & iso_siren_bvd == "TR"
replace pays = "433" if pays == "" & iso_siren_bvd == "TT"
replace pays = "236" if pays == "" & iso_siren_bvd == "TW"
replace pays = "155" if pays == "" & iso_siren_bvd == "UK"
replace pays = "404" if pays == "" & iso_siren_bvd == "US"
replace pays = "423" if pays == "" & iso_siren_bvd == "UY"
replace pays = "424" if pays == "" & iso_siren_bvd == "VE"
replace pays = "425" if pays == "" & iso_siren_bvd == "VG"
replace pays = "243" if pays == "" & iso_siren_bvd == "VN"
replace pays = "506" if pays == "" & iso_siren_bvd == "WS"
replace pays = "" if pays == "" & iso_siren_bvd == "YY"
replace pays = "303" if pays == "" & iso_siren_bvd == "ZA"
replace pays = "" if pays == "" & iso_siren_bvd == "ZZ"


replace iso_siren_bvd = "AD" if iso_siren_bvd == "" & pays == "130"
replace iso_siren_bvd = "AE" if iso_siren_bvd == "" & pays == "247"
replace iso_siren_bvd = "AM" if iso_siren_bvd == "" & pays == "252"
replace iso_siren_bvd = "AR" if iso_siren_bvd == "" & pays == "415"
replace iso_siren_bvd = "AT" if iso_siren_bvd == "" & pays == "110"
replace iso_siren_bvd = "AU" if iso_siren_bvd == "" & pays == "501"
replace iso_siren_bvd = "AW" if iso_siren_bvd == "" & pays == "431"
replace iso_siren_bvd = "BA" if iso_siren_bvd == "" & pays == "118"
replace iso_siren_bvd = "BB" if iso_siren_bvd == "" & pays == "434"
replace iso_siren_bvd = "BE" if iso_siren_bvd == "" & pays == "131"
replace iso_siren_bvd = "BF" if iso_siren_bvd == "" & pays == "331"
replace iso_siren_bvd = "BG" if iso_siren_bvd == "" & pays == "111"
replace iso_siren_bvd = "BH" if iso_siren_bvd == "" & pays == "249"
replace iso_siren_bvd = "BJ" if iso_siren_bvd == "" & pays == "327"
replace iso_siren_bvd = "BM" if iso_siren_bvd == "" & pays == "425"
replace iso_siren_bvd = "BN" if iso_siren_bvd == "" & pays == "225"
replace iso_siren_bvd = "BO" if iso_siren_bvd == "" & pays == "418"
replace iso_siren_bvd = "BR" if iso_siren_bvd == "" & pays == "416"
replace iso_siren_bvd = "BS" if iso_siren_bvd == "" & pays == "436"
replace iso_siren_bvd = "BY" if iso_siren_bvd == "" & pays == "148"
replace iso_siren_bvd = "BZ" if iso_siren_bvd == "" & pays == "429"
replace iso_siren_bvd = "CA" if iso_siren_bvd == "" & pays == "401"
replace iso_siren_bvd = "CD" if iso_siren_bvd == "" & pays == "312"
replace iso_siren_bvd = "CF" if iso_siren_bvd == "" & pays == "323"
replace iso_siren_bvd = "CG" if iso_siren_bvd == "" & pays == "324"
replace iso_siren_bvd = "CH" if iso_siren_bvd == "" & pays == "140"
replace iso_siren_bvd = "CI" if iso_siren_bvd == "" & pays == "326"
replace iso_siren_bvd = "CL" if iso_siren_bvd == "" & pays == "417"
replace iso_siren_bvd = "CM" if iso_siren_bvd == "" & pays == "322"
replace iso_siren_bvd = "CN" if iso_siren_bvd == "" & pays == "216"
replace iso_siren_bvd = "CO" if iso_siren_bvd == "" & pays == "419"
replace iso_siren_bvd = "CR" if iso_siren_bvd == "" & pays == "406"
replace iso_siren_bvd = "CU" if iso_siren_bvd == "" & pays == "407"
replace iso_siren_bvd = "CW" if iso_siren_bvd == "" & pays == "431"
replace iso_siren_bvd = "CY" if iso_siren_bvd == "" & pays == "254"
replace iso_siren_bvd = "CZ" if iso_siren_bvd == "" & pays == "116"
replace iso_siren_bvd = "DE" if iso_siren_bvd == "" & pays == "109"
replace iso_siren_bvd = "DJ" if iso_siren_bvd == "" & pays == "399"
replace iso_siren_bvd = "DK" if iso_siren_bvd == "" & pays == "101"
replace iso_siren_bvd = "DM" if iso_siren_bvd == "" & pays == "438"
replace iso_siren_bvd = "DO" if iso_siren_bvd == "" & pays == "408"
replace iso_siren_bvd = "DZ" if iso_siren_bvd == "" & pays == "352"
replace iso_siren_bvd = "EC" if iso_siren_bvd == "" & pays == "420"
replace iso_siren_bvd = "EE" if iso_siren_bvd == "" & pays == "106"
replace iso_siren_bvd = "EG" if iso_siren_bvd == "" & pays == "301"
replace iso_siren_bvd = "ES" if iso_siren_bvd == "" & pays == "134"
replace iso_siren_bvd = "ET" if iso_siren_bvd == "" & pays == "315"
replace iso_siren_bvd = "FI" if iso_siren_bvd == "" & pays == "105"
replace iso_siren_bvd = "FR" if iso_siren_bvd == "" & pays == "XXX"
replace iso_siren_bvd = "GA" if iso_siren_bvd == "" & pays == "328"
replace iso_siren_bvd = "GB" if iso_siren_bvd == "" & pays == "132"
replace iso_siren_bvd = "GE" if iso_siren_bvd == "" & pays == "255"
replace iso_siren_bvd = "GH" if iso_siren_bvd == "" & pays == "329"
replace iso_siren_bvd = "GI" if iso_siren_bvd == "" & pays == "133"
replace iso_siren_bvd = "GM" if iso_siren_bvd == "" & pays == "304"
replace iso_siren_bvd = "GR" if iso_siren_bvd == "" & pays == "126"
replace iso_siren_bvd = "GS" if iso_siren_bvd == "" & pays == "427"
replace iso_siren_bvd = "GT" if iso_siren_bvd == "" & pays == "409"
replace iso_siren_bvd = "HK" if iso_siren_bvd == "" & pays == "230"
replace iso_siren_bvd = "HR" if iso_siren_bvd == "" & pays == "119"
replace iso_siren_bvd = "HT" if iso_siren_bvd == "" & pays == "410"
replace iso_siren_bvd = "HU" if iso_siren_bvd == "" & pays == "112"
replace iso_siren_bvd = "ID" if iso_siren_bvd == "" & pays == "231"
replace iso_siren_bvd = "IE" if iso_siren_bvd == "" & pays == "136"
replace iso_siren_bvd = "IL" if iso_siren_bvd == "" & pays == "207"
replace iso_siren_bvd = "IN" if iso_siren_bvd == "" & pays == "223"
replace iso_siren_bvd = "IS" if iso_siren_bvd == "" & pays == "102"
replace iso_siren_bvd = "IT" if iso_siren_bvd == "" & pays == "127"
replace iso_siren_bvd = "JP" if iso_siren_bvd == "" & pays == "217"
replace iso_siren_bvd = "KH" if iso_siren_bvd == "" & pays == "234"
replace iso_siren_bvd = "KN" if iso_siren_bvd == "" & pays == "442"
replace iso_siren_bvd = "KP" if iso_siren_bvd == "" & pays == "238"
replace iso_siren_bvd = "KR" if iso_siren_bvd == "" & pays == "237"
replace iso_siren_bvd = "KR" if iso_siren_bvd == "" & pays == "239"
replace iso_siren_bvd = "KW" if iso_siren_bvd == "" & pays == "240"
replace iso_siren_bvd = "KY" if iso_siren_bvd == "" & pays == "425"
replace iso_siren_bvd = "KZ" if iso_siren_bvd == "" & pays == "256"
replace iso_siren_bvd = "LA" if iso_siren_bvd == "" & pays == "241"
replace iso_siren_bvd = "LB" if iso_siren_bvd == "" & pays == "205"
replace iso_siren_bvd = "LI" if iso_siren_bvd == "" & pays == "113"
replace iso_siren_bvd = "LR" if iso_siren_bvd == "" & pays == "302"
replace iso_siren_bvd = "LT" if iso_siren_bvd == "" & pays == "108"
replace iso_siren_bvd = "LU" if iso_siren_bvd == "" & pays == "137"
replace iso_siren_bvd = "LV" if iso_siren_bvd == "" & pays == "107"
replace iso_siren_bvd = "LY" if iso_siren_bvd == "" & pays == "316"
replace iso_siren_bvd = "MA" if iso_siren_bvd == "" & pays == "350"
replace iso_siren_bvd = "MC" if iso_siren_bvd == "" & pays == "138"
replace iso_siren_bvd = "MG" if iso_siren_bvd == "" & pays == "333"
replace iso_siren_bvd = "MH" if iso_siren_bvd == "" & pays == "515"
replace iso_siren_bvd = "MK" if iso_siren_bvd == "" & pays == "156"
replace iso_siren_bvd = "ML" if iso_siren_bvd == "" & pays == "335"
replace iso_siren_bvd = "MO" if iso_siren_bvd == "" & pays == "232"
replace iso_siren_bvd = "MR" if iso_siren_bvd == "" & pays == "336"
replace iso_siren_bvd = "MT" if iso_siren_bvd == "" & pays == "144"
replace iso_siren_bvd = "MU" if iso_siren_bvd == "" & pays == "390"
replace iso_siren_bvd = "MV" if iso_siren_bvd == "" & pays == "229"
replace iso_siren_bvd = "MW" if iso_siren_bvd == "" & pays == "334"
replace iso_siren_bvd = "MX" if iso_siren_bvd == "" & pays == "405"
replace iso_siren_bvd = "MY" if iso_siren_bvd == "" & pays == "227"
replace iso_siren_bvd = "NA" if iso_siren_bvd == "" & pays == "311"
replace iso_siren_bvd = "NG" if iso_siren_bvd == "" & pays == "338"
replace iso_siren_bvd = "NL" if iso_siren_bvd == "" & pays == "135"
replace iso_siren_bvd = "NO" if iso_siren_bvd == "" & pays == "103"
replace iso_siren_bvd = "NZ" if iso_siren_bvd == "" & pays == "502"
replace iso_siren_bvd = "OM" if iso_siren_bvd == "" & pays == "250"
replace iso_siren_bvd = "PA" if iso_siren_bvd == "" & pays == "413"
replace iso_siren_bvd = "PE" if iso_siren_bvd == "" & pays == "422"
replace iso_siren_bvd = "PH" if iso_siren_bvd == "" & pays == "220"
replace iso_siren_bvd = "PK" if iso_siren_bvd == "" & pays == "213"
replace iso_siren_bvd = "PL" if iso_siren_bvd == "" & pays == "122"
replace iso_siren_bvd = "PR" if iso_siren_bvd == "" & pays == "432"
replace iso_siren_bvd = "PT" if iso_siren_bvd == "" & pays == "139"
replace iso_siren_bvd = "PY" if iso_siren_bvd == "" & pays == "421"
replace iso_siren_bvd = "QA" if iso_siren_bvd == "" & pays == "248"
replace iso_siren_bvd = "RO" if iso_siren_bvd == "" & pays == "114"
replace iso_siren_bvd = "RS" if iso_siren_bvd == "" & pays == "121"
replace iso_siren_bvd = "RU" if iso_siren_bvd == "" & pays == "123"
replace iso_siren_bvd = "SA" if iso_siren_bvd == "" & pays == "201"
replace iso_siren_bvd = "SC" if iso_siren_bvd == "" & pays == "398"
replace iso_siren_bvd = "SE" if iso_siren_bvd == "" & pays == "104"
replace iso_siren_bvd = "SG" if iso_siren_bvd == "" & pays == "226"
replace iso_siren_bvd = "SI" if iso_siren_bvd == "" & pays == "145"
replace iso_siren_bvd = "SK" if iso_siren_bvd == "" & pays == "117"
replace iso_siren_bvd = "SM" if iso_siren_bvd == "" & pays == "128"
replace iso_siren_bvd = "SN" if iso_siren_bvd == "" & pays == "341"
replace iso_siren_bvd = "SO" if iso_siren_bvd == "" & pays == "318"
replace iso_siren_bvd = "SX" if iso_siren_bvd == "" & pays == "431"
replace iso_siren_bvd = "SY" if iso_siren_bvd == "" & pays == "206"
replace iso_siren_bvd = "TG" if iso_siren_bvd == "" & pays == "345"
replace iso_siren_bvd = "TH" if iso_siren_bvd == "" & pays == "219"
replace iso_siren_bvd = "TN" if iso_siren_bvd == "" & pays == "351"
replace iso_siren_bvd = "TR" if iso_siren_bvd == "" & pays == "208"
replace iso_siren_bvd = "TT" if iso_siren_bvd == "" & pays == "433"
replace iso_siren_bvd = "TW" if iso_siren_bvd == "" & pays == "236"
replace iso_siren_bvd = "UK" if iso_siren_bvd == "" & pays == "155"
replace iso_siren_bvd = "US" if iso_siren_bvd == "" & pays == "404"
replace iso_siren_bvd = "UY" if iso_siren_bvd == "" & pays == "423"
replace iso_siren_bvd = "VE" if iso_siren_bvd == "" & pays == "424"
replace iso_siren_bvd = "VG" if iso_siren_bvd == "" & pays == "425"
replace iso_siren_bvd = "VN" if iso_siren_bvd == "" & pays == "243"
replace iso_siren_bvd = "WS" if iso_siren_bvd == "" & pays == "506"
replace iso_siren_bvd = "ZA" if iso_siren_bvd == "" & pays == "303"


* Harmonize iso2 ( if previous step was not enough)
gsort pays iso_siren_bvd
bysort pays: replace iso_siren_bvd = iso_siren_bvd[_N] if iso_siren_bvd == "" & iso_siren_bvd[_N] != "" & pays !=""

rename iso_siren_bvd iso_affiliate
rename pays insee_code_affiliate

keep sirtg year insee_code_affiliate iso_affiliate
duplicates drop
compress

rename sirtg siren
gsort siren year iso_affiliate
order siren year, first

drop if iso_affiliate == "" & insee_code_affiliate == ""
replace iso_affiliate = "GB" if iso_affiliate == "UK"

save "${final_data}\final_affiliate.dta", replace
